Automation framework first version
Closed, ResolvedPublic

Description

  • create a new repository for the automation framework named Cumin
  • send the first version of the code for review
  • send the Puppet-related changes for review
  • create a wikitech page for documentation (moved to T158964)
  • create a debian branch for packaging
Volans created this task.Jan 4 2017, 3:57 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 4 2017, 3:57 PM

Change 330425 had a related patch set uploaded (by Volans):
Initial import with the first version

https://gerrit.wikimedia.org/r/330425

Volans updated the task description. (Show Details)Jan 4 2017, 3:59 PM

Change 330436 had a related patch set uploaded (by Volans):
Cumin: allow connection to the targets

https://gerrit.wikimedia.org/r/330436

Volans updated the task description. (Show Details)Jan 4 2017, 5:21 PM

Change 330600 had a related patch set uploaded (by Volans):
Keyholder: add dummy keys for Cumin

https://gerrit.wikimedia.org/r/330600

Change 330600 merged by Volans:
Keyholder: add dummy keys for Cumin

https://gerrit.wikimedia.org/r/330600

greg added a subscriber: greg.Jan 23 2017, 9:38 PM

Change 330425 merged by jenkins-bot:
Initial import with the first version

https://gerrit.wikimedia.org/r/330425

Change 338125 had a related patch set uploaded (by Volans):
TravisCI: force dependency upgrade

https://gerrit.wikimedia.org/r/338125

Change 338125 merged by jenkins-bot:
TravisCI: force dependency upgrade

https://gerrit.wikimedia.org/r/338125

Change 338127 had a related patch set uploaded (by Volans):
Update TravisCI and Coveralls URLs

https://gerrit.wikimedia.org/r/338127

Change 338127 merged by jenkins-bot:
Update TravisCI and Coveralls URLs

https://gerrit.wikimedia.org/r/338127

Change 338153 had a related patch set uploaded (by Volans):
Add .gitreview file for Gerrit

https://gerrit.wikimedia.org/r/338153

Change 338153 merged by jenkins-bot:
Add .gitreview file for Gerrit

https://gerrit.wikimedia.org/r/338153

Change 338363 had a related patch set uploaded (by Volans):
Fix absolute path and remove override defaults

https://gerrit.wikimedia.org/r/338363

Change 338363 merged by jenkins-bot:
Fix absolute path and remove override defaults

https://gerrit.wikimedia.org/r/338363

Change 338374 had a related patch set uploaded (by Volans):
Add debian/ directory for packaging

https://gerrit.wikimedia.org/r/338374

Change 338382 had a related patch set uploaded (by Volans):
Moved config.yaml to a doc/examples/ directory

https://gerrit.wikimedia.org/r/338382

Change 338382 merged by jenkins-bot:
Moved config.yaml to a doc/examples/ directory

https://gerrit.wikimedia.org/r/338382

Change 338374 merged by jenkins-bot:
Add debian/ directory for packaging

https://gerrit.wikimedia.org/r/338374

Change 338808 had a related patch set uploaded (by Volans):
Improvements in the metadata and package setup

https://gerrit.wikimedia.org/r/338808

Volans updated the task description. (Show Details)Feb 21 2017, 11:56 AM

Mentioned in SAL (#wikimedia-operations) [2017-02-21T12:01:06Z] <volans> temporarily disabled puppet on neodymium and puppetmaster1001 to merge Gerrit 330436 T154588

Change 330436 merged by Volans:
Cumin: allow connection to the targets

https://gerrit.wikimedia.org/r/330436

Change 338956 had a related patch set uploaded (by Volans):
Cumin: fix ferm service srange

https://gerrit.wikimedia.org/r/338956

Change 338956 merged by Volans:
Cumin: fix ferm service srange

https://gerrit.wikimedia.org/r/338956

Mentioned in SAL (#wikimedia-operations) [2017-02-21T12:53:51Z] <volans> re-enabled puppet on neodymium and puppetmaster1001 after Gerrit 330436 was merged T154588

We have two classes of hosts which provide iptables rules not managed by ferm: labvirt* and labnet* both use iptables rules composed by Nova, so we need common class which adds an additional exception for SSH connections from the cumin masters.

Volans updated the task description. (Show Details)Feb 24 2017, 2:32 PM
Volans closed this task as Resolved.
Volans moved this task from In Code Review to Done on the Operations-Software-Development board.

Change 339637 had a related patch set uploaded (by Volans):
Add codecov and codacy config and badges

https://gerrit.wikimedia.org/r/339637

Change 339637 merged by jenkins-bot:
Add codecov and codacy config and badges

https://gerrit.wikimedia.org/r/339637

Change 361040 had a related patch set uploaded (by Volans; owner: Volans):
[operations/software/cumin@master] Fix Pylint and other tools reported errors

https://gerrit.wikimedia.org/r/361040

Change 361274 had a related patch set uploaded (by Volans; owner: Volans):
[operations/software/cumin@master] Tests: convert unittest to pytest

https://gerrit.wikimedia.org/r/361274